package com.rongwei.trainingcommon.sys.service;

import com.rongwei.rwcommon.base.R;
import com.rongwei.training.domain.TrainingDemandSurveyBackupsDo;

import java.util.List;
import java.util.Map;

/**
 * SendNotifyService class
 *
 * @author XH
 * @date 2023/12/15
 */
public interface TrainingSendNotifyService {

    /**
     * 考试截止提醒邮件
     */
    R endReminderEmail();

    R endReminderPaperMail();

    void trainingPlan();


    void questionnaireSurvey();

    void sendQuestionnaireSurveyNotify(List<TrainingDemandSurveyBackupsDo> doList);

    void sendTrainingPlanCancelNotify(Map<String, List<String>> courseMap,
                                      Map<String, List<String>> paperMap);
}
